## purism-device-config 0.5.3

=== debian/changelog ===
purism-device-config (0.5.3) green; urgency=medium

  * Temporarily disable application of powertop profile. (Closes: PureOS:T562)

 -- Chris Lamb <chris.lamb@puri.sm>  Mon, 17 Sep 2018 19:52:26 +0100

purism-device-config (0.5.2) green; urgency=medium

  * Correct (previously-valid) references to a "purism-power-optimsations"
    repository.
  * Correct detection of wireless network devices.
  * Call "iw dev" with the device name, not the sysfs path to the device.
  * Improve logging output in purism-power-optimisations script.
  * Bump Standards-Version to 4.2.1.

 -- Chris Lamb <chris.lamb@puri.sm>  Sat, 15 Sep 2018 17:39:51 +0100

purism-device-config (0.5.1) green; urgency=medium

  [ Chris Lamb ]
  * Correct PureOS Developers -> PureOS Maintainers in debian/control.
  * debian/copyright: Correct package name.

  [ Matthias Klumpp ]
  * Try to launch the correct executable in systemd unit

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sun, 19 Aug 2018 20:34:38 +0200

purism-device-config (0.5.0) green; urgency=medium

  * Add power/battery optimisations for Purism devices. (Closes: PureOS:T19)
  * Move to a Semantic Versioning (https://semver.org/) numbering scheme and
    bump minor number to match.
  * Make the package fit the PureOS packaging style:
    - Drop Uploaders to appease Lintian.
    - Add Homepage, Vcs-Git and Vcs-Browser headers.
  * debian/copyright:
    * Relicense under GPL-3.
    - Update/bump copyright years.
    - Use HTTPS Format: URI.
    * Set an upstream "Source".
  * Tidy packaging:
    * Drop unused/unreferenced purism-device-config.install file.
    * Reflow package long description.
    * Drop "xz" compression from debian/source/options - it is the default.
    - wrap-and-sort.
  * Move to debhelper compat level 11.
  * Bump Standards-Version to 4.1.4

 -- Chris Lamb <chris.lamb@puri.sm>  Fri, 08 Jun 2018 09:35:54 +0100

purism-device-config (0.4.1) green; urgency=medium

  * Refer to the BYD touchpad as touchpad (instead of mixing
    trackpad and touchpad names)

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Wed, 04 Oct 2017 21:05:08 +0200

purism-device-config (0.4) green; urgency=medium

  * Bump standards version
  * Add workaround to enforce BYD protocol for trackpads

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Tue, 03 Oct 2017 19:42:58 +0200

purism-device-config (0.3) green; urgency=medium

  * Remove psmouse config
    - This means that we don't need any special configuration for PureOS devices
      anymore. Great thing! (we keep this package around for a while in case
      it becomes temporarily necessary in future again)

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Tue, 06 Jun 2017 19:28:36 +0200

purism-device-config (0.2) green; urgency=medium

  * Fix typo in psmouse config

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sun, 23 Apr 2017 17:57:50 +0200

purism-device-config (0.1) green; urgency=medium

  * Initial release.

 -- Matthias Klumpp <matthias.klumpp@puri.sm>  Sun, 19 Mar 2017 22:56:04 +0100
