=== debian/control ===
Source: purism-device-config
Section: misc
Priority: optional
Maintainer: PureOS Maintainers <pureos-project@lists.puri.sm>
Build-Depends: debhelper (>= 11)
Homepage: https://source.puri.sm/pureos/packages/purism-device-config
Vcs-Git: https://source.puri.sm/pureos/packages/purism-device-config.git
Vcs-Browser: https://source.puri.sm/pureos/packages/purism-device-config
Standards-Version: 4.2.1

Package: purism-use-byd-touchpad-protocol
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: Enforce the BYD protocol for the trackpad
 Because automatic detection of BYD trackpads is unreliable, the kernel does
 not do this automatically.
 .
 If you have a laptop which contains a BYD trackpad and want to enforce the BYD
 protocol to get all trackpad features, you can install this package.

Package: purism-power-optimisations
Architecture: all
Depends: dmidecode,
         iw,
         powertop,
         ${misc:Depends}
Description: Power/battery optimisations for Purism devices
 Installing this package will apply a number of power/battery optimisationson
 system start.
 .
 Purism laptops are specifically detected; installing this package on a
 non-Purism device will succeed but will do nothing at boot time.
